#include <p18cxxx.h>

#pragma config FOSC=HS, WDT=OFF, BOR = ON_ACTIVE, BORV = 1, LVP=OFF, PBADEN=OFF, XINST = OFF, MCLRE = ON

void main(void)
{
    unsigned int i = 0;

    LATCbits.LATC2 = 0;
    TRISCbits.TRISC2 = 0;
    LATDbits.LATD0 = 0;
    TRISDbits.TRISD0 = 0;

    T2CONbits.TOUTPS = 0x00; // 1:1
    T2CONbits.T2CKPS = 0x02; // 1:16
    T2CONbits.TMR2ON = 1; // Timer2 Turn On
    PR2 = 250;

    while (1)
    {
        if (PIR1bits.TMR2IF)
        {
            PIR1bits.TMR2IF = 0;

            if (++i >= 500)
            {
                i = 0;
                LATCbits.LATC2 = !LATCbits.LATC2;
                LATDbits.LATD0 = !LATDbits.LATD0;
            }
        }
    }
}
